Class UmlBasePackage

Manage the packages

Declaration :

- C++ : class UmlBasePackage : public UmlItem
- Java : abstract class UmlBasePackage extends UmlItem

Directly inherited by : UmlPackage

Artifact : UmlBasePackage

Operation create

returns a new package named 'name' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlPackage, in name : str) : UmlPackage, exceptions : RuntimeException
- C++ : public: static UmlPackage * create(UmlPackage * parent, const char * name)
- Java : public static UmlPackage create(UmlPackage parent, String name) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlDiagram
- C++ : public: UmlDiagram * associatedDiagram()
- Java : public UmlDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlDiagram * d)
- Java : public void set_AssociatedDiagram(UmlDiagram d) throws RuntimeException

Operation cppSrcDir

returns the path where the C++ source files are generated by the
c++ generator.

Declaration :

- Uml : + cppSrcDir() : string
- C++ : public: const QCString & cppSrcDir()
- Java : public String cppSrcDir()

Operation set_CppSrcDir

to set the path where the C++ source files are generated by the
C++ generator, may be relative even the 'root' path is not
(already) an absolute path
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppSrcDir(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSrcDir(const QCString & s)
- Java : public void set_CppSrcDir(String s) throws RuntimeException

Operation cppHDir

returns the path where the C++ header files are generated by the
C++ generator.

Declaration :

- Uml : + cppHDir() : string
- C++ : public: const QCString & cppHDir()
- Java : public String cppHDir()

Operation set_CppHDir

to set the path where the C++ header files are generated by the
C++ generator, may be relative even the 'root' path is not
(already) an absolute path
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppHDir(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppHDir(const QCString & s)
- Java : public void set_CppHDir(String s) throws RuntimeException

Operation cppNamespace

returns the namespace name associed to the package

Declaration :

- Uml : + cppNamespace() : string
- C++ : public: QCString cppNamespace()
- Java : public String cppNamespace()

Operation set_CppNamespace

to set the namespace name associed to the package.
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppNamespace(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppNamespace(const QCString & s)
- Java : public void set_CppNamespace(String s) throws RuntimeException

Operation findNamespace

returns a sub package of the current one having the c++ namespace 'n'
(including the current one), else 0/null

Declaration :

- Uml : + findNamespace(in n : string) : UmlPackage
- C++ : public: UmlPackage * findNamespace(const QCString & n) const
- Java : public UmlPackage findNamespace(String n)

Operation javaDir

returns the path where the JAVA files are generated by the
JAVA generator.

Declaration :

- Uml : + javaDir() : string
- C++ : public: const QCString & javaDir()
- Java : public String javaDir()

Operation set_JavaDir

to set the path where the JAVA files are generated by the
JAVA generator, may be relative even the 'root' path is not
(already) an absolute path
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaDir(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaDir(const QCString & s)
- Java : public void set_JavaDir(String s) throws RuntimeException

Operation javaPackage

returns the java package name associed to the package

Declaration :

- Uml : + javaPackage() : string
- C++ : public: QCString javaPackage()
- Java : public String javaPackage()

Operation set_JavaPackage

to set the java package name associed to the package.
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaPackage(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaPackage(const QCString & s)
- Java : public void set_JavaPackage(String s) throws RuntimeException

Operation findPackage

returns a sub package of the current one having the Java package 'n'
(including the current one), else 0/null

Declaration :

- Uml : + findPackage(in n : string) : UmlPackage
- C++ : public: UmlPackage * findPackage(const QCString & n) const
- Java : public UmlPackage findPackage(String n)

Operation phpDir

returns the path where the PHP files are generated by the
PHP generator.

Declaration :

- Uml : + phpDir() : string
- C++ : public: const QCString & phpDir()
- Java : public String phpDir()

Operation set_PhpDir

to set the path where the PHP files are generated by the
PHP generator, may be relative even the 'root' path is not
(already) an absolute path
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_PhpDir(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_PhpDir(const QCString & s)
- Java : public void set_PhpDir(String s) throws RuntimeException

Operation idlDir

returns the path where the IDL files are generated by the
IDL generator.

Declaration :

- Uml : + idlDir() : string
- C++ : public: const QCString & idlDir()
- Java : public String idlDir()

Operation set_IdlDir

to set the path where the IDL files are generated by the
IDL generator, may be relative even the 'root' path is not
(already) an absolute path
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlDir(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlDir(const QCString & s)
- Java : public void set_IdlDir(String s) throws RuntimeException

Operation idlModule

returns the module name associed to the package

Declaration :

- Uml : + idlModule() : string
- C++ : public: QCString idlModule()
- Java : public String idlModule()

Operation set_IdlModule

to set the module name associed to the package.
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IdlModule(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlModule(const QCString & s)
- Java : public void set_IdlModule(String s) throws RuntimeException

Operation findModule

returns a sub package of the current one having the IDL module 'n'
(including the current one), else 0/null

Declaration :

- Uml : + findModule(in n : string) : UmlPackage
- C++ : public: UmlPackage * findModule(const QCString & n) const
- Java : public UmlPackage findModule(String n)

Operation getProject

Returns the project

Declaration :

- Uml : static, + getProject() : UmlPackage
- C++ : public: static UmlPackage * getProject()
- Java : public static UmlPackage getProject()

Operation isProjectModified

return TRUE in case something is modified (i.e. the project must be saved)

Declaration :

- Uml : static, + isProjectModified() : bool
- C++ : public: static bool isProjectModified()
- Java : public static boolean isProjectModified()

Operation saveProject

save the project if needed

Declaration :

- Uml : static, + saveProject() : void
- C++ : public: static void saveProject()
- Java : public static void saveProject()

Operation loadProject

Does nothing in case an edition is on going under BOUML. Else :
close the current project (in case it is not saved the last modifications are lost),
load the specified one, and all the communications with the plug-outs including the
current one are closed.

Declaration :

- Uml : static, + loadProject(inout p : string) : void
- C++ : public: static void loadProject(QCString p)
- Java : public static void loadProject(String p)

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool rec = FALSE, bool del = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlDiagram
- C++ : private: UmlDiagram * _assoc_diagram
- Java : private UmlDiagram _assoc_diagram

Attribut _cpp_src_dir

Declaration :

- Uml : - _cpp_src_dir : string
- C++ : private: QCString _cpp_src_dir
- Java : private String _cpp_src_dir

Attribut _cpp_h_dir

Declaration :

- Uml : - _cpp_h_dir : string
- C++ : private: QCString _cpp_h_dir
- Java : private String _cpp_h_dir

Attribut _cpp_namespace

Declaration :

- Uml : - _cpp_namespace : string
- C++ : private: QCString _cpp_namespace
- Java : private String _cpp_namespace

Attribut _java_dir

Declaration :

- Uml : - _java_dir : string
- C++ : private: QCString _java_dir
- Java : private String _java_dir

Attribut _java_package

Declaration :

- Uml : - _java_package : string
- C++ : private: QCString _java_package
- Java : private String _java_package

Attribut _php_dir

Declaration :

- Uml : - _php_dir : string
- C++ : private: QCString _php_dir
- Java : private String _php_dir

Attribut _idl_dir

Declaration :

- Uml : - _idl_dir : string
- C++ : private: QCString _idl_dir
- Java : private String _idl_dir

Attribut _idl_module

Declaration :

- Uml : - _idl_module : string
- C++ : private: QCString _idl_module
- Java : private String _idl_module

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

internal, do NOT use it

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation read_php_

internal, do NOT use it

Declaration :

- Uml : # read_php_() : void
- C++ : protected: virtual void read_php_()
- Java : protected void read_php_()

Operation read_idl_

internal, do NOT use it

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

Operation UmlBasePackage

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBasePackage(in id : item_id, in n : string) :
- C++ : protected: UmlBasePackage(void * id, const QCString & n)
- Java : protected UmlBasePackage(long id, String n)

All public operations : apply , associatedDiagram , children , childrenVisible , cppHDir , cppNamespace , cppSrcDir , create , defined_ , deleteIt , description , findModule , findNamespace , findPackage , getIdentifier , getProject , identifier_ , idlDir , idlModule , isMarked , isProjectModified , isToolRunning , isWritable , javaDir , javaPackage , kind , kind , loadProject , markedItems , moveAfter , name , parent , phpDir , properties , propertyValue , referencedBy , saveProject , set_AssociatedDiagram , set_childrenVisible , set_CppHDir , set_CppNamespace , set_CppSrcDir , set_Description , set_IdlDir , set_IdlModule , set_isMarked , set_JavaDir , set_JavaPackage , set_Name , set_PhpDir , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload